Subject: RE: MPLS OAM

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 31 Dec 2002 09:16:40 -0500

At 01:58 PM 12/31/2002 +0530, Deepak Sathyamurthy wrote:

>-----Original Message-----
>From: Thomas D. Nadeau [mailto:[email-masked]]
>Sent: Tuesday, December 31, 2002 12:38 AM
>To: [email-masked]
>Cc: Deepak Sathyamurthy; [email-masked]
>Subject: Re: MPLS OAM
>
>
>At 10:33 AM 12/30/2002 -0500, Curtis Villamizar wrote:
>
> >In message
> ><[email-masked]>,
> >"Dee
> >pak Sathyamurthy" writes:
> > >
> > > Hi,
> > > =20
> > > There are various proposals for supporting trace route and ping on
> > > MPLS. = IP ping and trace route use RFC 2925 MIB. Will there be any
> > > changes, = additions required to this MIB for supporting MPLS ping
> > > and trace route? =20 Regards,
> > > Deepak
> >
> >
> >Deepak,
> >
> >First of all, not all MIBs that are defined get used in practice.  I
> >know of no ISP that is using the ping MIB to drive pings or collect
> >information.  It is just too inefficient to do things that way.  I
> >don't think any routers implement it.  I welcome any corrections.
>
>          There are actually many of my customers using the standard and 
> Cisco-proprietary version of the Ping MIB.  However, as Curtis points 
> out, on a large scale, use of the MIB directly is problematic for 
> performance reasons. This is why many of our customers have moved to 
> using a more automated (proprietary) system called SAA.
>
> >The tier one ISPs that I know have been and probably still are using
> >pings are either doing ad-hoc testing or driving tests from pizza boxes
> >(1U rackmounts) running *ix that do statistical collection and if
> >applicable raise alarms by other means.  In some cases one way
> >measurements are made rather than use ping at all.  Traceroute is
> >almost always strictly ad-hoc testing or very customized information
> >gathering such as the CAIDA skitter program (which doesn't use a MIB).
> >
> >If we end up doing an LSP-ping MIB, which too may go unused, then
> >someone that thinks it will be used can write it.  IMHO it can be a
> >separate document.
>
>          It can probably be written as a MIB that augments the existing one.
>
>---> Now I wonder if there will be any takers for this as I am hearing 
>that Ping MIB isn't popular with implementers. But what are the reasons 
>for Ping MIB's performance problem? (if at all somebody is attempting to 
>augment it, the info will help in taking care of the issue).

         Lets not put the cart before the horse. I think that we need to focus
on the ping mechanism and get it working before we think about managing
it.

         --Tom

"The difficult, we do immediately.  The impossible takes a little longer." 
-- Air Force Motto

http://www.mkp.com/books_catalog/catalog.asp?ISBN=1-55860-751-X